%global        debug_package %{nil}

Summary:       Inspect realtime system settings
Name:          realTimeConfigQuickScan
Version:       0
Release:       0.14.20120506hg%{?dist}
License:       GPLv2+
Group:         System Environment/Base         
URL:           http://code.google.com/p/realtimeconfigquickscan/
# To grab source:
# hg clone https://realtimeconfigquickscan.googlecode.com/hg/ realTimeConfigQuickScan -r bd4f1175 
# rm -rf realTimeConfigQuickScan/.hg
# tar -cjf realTimeConfigQuickScan-20120506.tar.bz2 realTimeConfigQuickScan
Source0:       %{name}-20120506.tar.bz2
# launch script
Source1:       %{name}
Source2:       QuickScan
Source3:       QuickScan.desktop
BuildArch:     noarch
Requires:      perl(Tk)
BuildRequires: desktop-file-utils

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Prevent bogus perl-provides/requires from polluting rpm
%{?perl_default_filter}

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(.*Check\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(.*Check\\)
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(QuickScanEngine\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(QuickScanEngine\\)

%description
Inspects system settings, and makes suggestions for improving realtime/audio 
performance. 

%prep
%setup -q -n %{name}
# correct permissions
chmod +x *.pl

%build

%install
install -D %{SOURCE1} -m 0755 %{buildroot}%{_bindir}/%{name}
install -D %{SOURCE2} -m 0755 %{buildroot}%{_bindir}/QuickScan
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -rp * %{buildroot}%{_datadir}/%{name}

desktop-file-install            \
  --dir %{buildroot}%{_datadir}/applications \
 %{SOURCE3}

%post
update-desktop-database -q  &>/dev/null || :
  
%postun
update-desktop-database -q  &>/dev/null || :

%files
%doc COPYING
%{_datadir}/%{name}
%{_datadir}/applications/QuickScan.desktop
%{_bindir}/QuickScan
%{_bindir}/%{name}

%changelog
* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0-0.14.20120506hg
- Perl 5.20 rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.13.20120506hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.12.20120506hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 0-0.11.20120506hg
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.20120506hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 12 2012 Brendan Jones <brendan.jones.it@gmail.com> 0-0.9.20120506hg
- Update desktop file - wrong exec

* Tue Nov 06 2012 Brendan Jones <brendan.jones.it@gmail.com> 0-0.8.20120506hg
- Simplify requires

* Wed Oct 31 2012 Brendan Jones <brendan.jones.it@gmail.com> 0-0.7.20120506hg
- Handle bogus requires

* Tue Oct 30 2012 Brendan Jones <brendan.jones.it@gmail.com> 0-0.6.20120506hg
- User perl(Tk) as BR, edit desktop source

* Mon Oct 29 2012 Brendan Jones <brendan.jones.it@gmail.com> 0-0.5.20120506hg
- License missing from %%doc 

* Mon Oct 29 2012 Brendan Jones <brendan.jones.it@gmail.com> 0-0.4.20120506hg
- Update source and BuildRequires
- Add source instructions

* Fri Oct 26 2012 Brendan Jones <brendan.jones.it@gmail.com> 0-0.2.20121011hg
- Add desktop file

* Thu Oct 11 2012 Brendan Jones <brendan.jones.it@gmail.com> 0-0.1.20121011hg
- Initial package 
